document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Animate charts when they come into view
  const charts = document.querySelectorAll('.chart-bar');
  
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        const percentage = entry.target.dataset.percentage;
        entry.target.style.setProperty('--percentage', percentage);
        entry.target.style.setProperty('height', `${percentage}%`);
      }
    });
  }, { threshold: 0.5 });

  charts.forEach(chart => observer.observe(chart));

  // Add scroll-based animations
  window.addEventListener('scroll', () => {
    const nav = document.querySelector('nav');
    if (window.scrollY > 50) {
      nav.style.background = 'rgba(42, 107, 158, 0.95)';
    } else {
      nav.style.background = 'var(--primary-color)';
    }
  });
});
